#
# spec file for package python-Cycler
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-Cycler
Version:        0.12.1
Release:        1.6
Summary:        Composable style cycles
License:        BSD-3-Clause
URL:            https://github.com/matplotlib/cycler
Source:         https://github.com/matplotlib/cycler/archive/refs/tags/v%{version}.tar.gz#/cycler-%{version}-gz.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
When plotting more than one line it is common to want to be able to
cycle over one or more artist styles. For simple cases than can be
done with out too much trouble.

However, if you want to do something more complicated, the plotting
logic can quickly become very involved. To address this and allow
easy cycling over arbitrary kwargs the Cycler class, a composable
kwarg iterator, was developed.

%prep
%setup -q -n cycler-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/cycler
%{python_sitelib}/cycler-%{version}.dist-info

%changelog
* Sat Dec  2 2023 Dirk Müller <dmueller@suse.com>
- update to 0.12.1:
  * The major new feature in this release is the addition of type
    hints.
  * Furthermore, the minimum supported version of Python is now
    3.8.
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Tue Jun 21 2022 Dirk Müller <dmueller@suse.com>
- update to 0.11.0:
  * Added Cycler.by_key, which produces values by key (#26)
  * Added Cycler.__contains__, which adds support for in checks (#34)
  * Wheels now includes the LICENSE file (#48)
  * The sdist now includes the LICENSE (#58) and tests (#32)
  * Cycler no longer supports Python 2. Supported versions of Python are 3.6 and above.
- enable tests
* Tue Nov  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Format with spec-cleaner
- Install license file
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Apr 12 2017 toddrme2178@gmail.com
- Fix download URL.
* Wed Apr 12 2017 toddrme2178@gmail.com
- Fix redefinition of %%python_module macro.
* Mon Feb 27 2017 toddrme2178@gmail.com
- Fix macro usage
* Sat Feb 25 2017 toddrme2178@gmail.com
- Switch to single-spec version
* Fri Jan 20 2017 toddrme2178@gmail.com
- update to version 0.10.0:
  (no changelog available)
- Update url to pypi.io
* Fri Oct 30 2015 toddrme2178@gmail.com
- Initial version
